Bug 1567200 - Rebase gdm to 3.28.1
Summary: Rebase gdm to 3.28.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gdm
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1567133 1649404
TreeView+ depends on / blocked
 
Reported: 2018-04-13 14:42 UTC by Matthias Clasen
Modified: 2018-11-13 15:03 UTC (History)
2 users (show)

Fixed In Version: gdm-3.28.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:22:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:22:51 UTC

Description Matthias Clasen 2018-04-13 14:42:25 UTC
As part of the desktop rebase in 7.6, we need to rebase gdm to the version that is shipped with GNOME 3.28.

Comment 2 Kalev Lember 2018-05-17 19:23:02 UTC
Rebase branch: http://pkgs.devel.redhat.com/cgit/rpms/gdm/log/?h=private-rhel-7.6-rebase

Ray, can you check please that I got the patch dropping/rebasing right? I tried to reduce the delta between f28 and rhel 7.6 gdm packaging, pretty much just leaving the RHEL patches and taking all the rest of the changes from Fedora.

Comment 3 Ray Strode [halfline] 2018-05-17 19:35:58 UTC
i think we can probably drop some more patches (some patches are to ensure live updates from early rhel7's to newer rhel7's work, but that's not a concern when going to rhel 8).

Will take a look.

Comment 4 Ray Strode [halfline] 2018-05-29 20:37:32 UTC
(ignore comment 3 i was getting my streams crossed).

everything looks good, modulo some noise in the .gitignore file.  I fixed that up and pushed the result to rhel-7.6.  I'm holding off on doing the build yet until the meson snags are resolved, so leaving in POST for now.

Comment 6 Bill Sanford 2018-08-15 13:02:14 UTC
Verified on RHEL-7.6-20180812.n.0

Comment 8 errata-xmlrpc 2018-10-30 10:22:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.